Page MenuHomePhabricator

Enable RemexHTML on all wikiquotes (except frwikiquote)
Closed, ResolvedPublic

Description

https://quarry.wmflabs.org/query/25866 shows the linter counts in all high priority categories in namespace 0. It shows that except for frwikiquote , all other wikiquote wikis could probably be switched over to RemexHtml soon. There are a few wikis where there is some category with just over a 100 entries. But, I don't think we should let that stop us from doing the switch. Since Linter is going to be around, those wikis can make the fixes after the switch since the breakage will be a lot more obvious.

frwikiquote has a large number of html5-misnesting errors because of interaction of {{citation}} and <poem> tag. The poem tag generates a <div> wrapper and the citation tag wraps a span tag around its parameter which causes a <span> to wrap a <div>. ?action=parsermigration-edit shows that this doesn't cause any real rendering difference, but this is a buggy nesting nevertheless. Maybe the citation template should be fixed to handle this scenario?

Event Timeline

ssastry triaged this task as Normal priority.Mar 26 2018, 9:07 PM
ssastry created this task.

I plan to do this on April 4, 2018 in the Morning SWAT period

Change 423492 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Enable RemexHtml on all wikiquotes except frwikiquote

https://gerrit.wikimedia.org/r/423492

Change 423492 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RemexHtml on all wikiquotes except frwikiquote

https://gerrit.wikimedia.org/r/423492

Mentioned in SAL (#wikimedia-operations) [2018-04-04T17:19:07Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:423492|Enable RemexHtml on all wikiquotes except frwikiquote]] T190726 (duration: 01m 17s)

ssastry closed this task as Resolved.Apr 4 2018, 5:20 PM